## ros-rolling-image-geometry 3.0.2

=== debian/changelog ===
ros-rolling-image-geometry (3.0.2-2focal) focal; urgency=high

  * Minor cleanups to the ROS 2 branch (#418 <https://github.com/ros-perception/vision_opencv/issues/418>)
  * Forward ports from Noetic (#420 <https://github.com/ros-perception/vision_opencv/issues/420>)
    * substituted missing sphinx extension (#417 <https://github.com/ros-perception/vision_opencv/issues/417>)
    * Fix rectifyRoi when used with binning and/or ROI (#378 <https://github.com/ros-perception/vision_opencv/issues/378>)
    * Implement unrectifyImage() (#359 <https://github.com/ros-perception/vision_opencv/issues/359>)
    * Add equidistant distortion model (#358 <https://github.com/ros-perception/vision_opencv/issues/358>)
  * Contributors: Chris Lalancette, Martin Günther, Michael Carroll, Paddy

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 27 Jan 2022 06:00:00 -0000

ros-rolling-image-geometry (3.0.1-2focal) focal; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 25 Jan 2022 06:00:00 -0000

ros-rolling-image-geometry (3.0.0-2focal) focal; urgency=high

  * Export Modern CMake targets and install includes to another folder(#419 <https://github.com/ros-perception/vision_opencv/issues/419>)
  * fix windows build for image_geometry (#388 <https://github.com/ros-perception/vision_opencv/issues/388>)
  * Contributors: Evan Flynn, Shane Loretz

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 19 Jan 2022 06:00:00 -0000

ros-rolling-image-geometry (2.2.1-2focal) focal; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 16 Jul 2020 05:00:00 -0000

ros-rolling-image-geometry (2.2.0-2focal) focal; urgency=high

  * Updated fromCameraInfo function to match ROS2 CameraInfo message (#295 <https://github.com/ros-perception/vision_opencv/issues/295>)
  * Contributors: Luca Della Vedova

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 27 May 2020 05:00:00 -0000

ros-rolling-image-geometry (2.1.3-2focal) focal; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-rolling-image-geometry (2.1.2-2focal) focal; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 30 May 2019 05:00:00 -0000

ros-rolling-image-geometry (2.1.1-2focal) focal; urgency=high

  * [image_geometry] Enable python package installation (#257 <https://github.com/ros-perception/vision_opencv/issues/257>)
    * [image_geometry] Install python package.
  * Contributors: Michael Carroll

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 26 Apr 2019 05:00:00 -0000

ros-rolling-image-geometry (2.1.0-2focal) focal; urgency=high

  * python 3 compatibility in test (#244 <https://github.com/ros-perception/vision_opencv/issues/244>)
  * Ros2 revert handmade message initialization (#245 <https://github.com/ros-perception/vision_opencv/issues/245>)
    * revert initialization in PinholeCameraModel constructor (https://github.com/ros2/vision_opencv/pull/1/commits/d2e5edb207c58a54737c4949efe0ac9d4e638962)
    * revert message initialization in tests (https://github.com/ros2/vision_opencv/commit/ecbcd64c014a1ac21a831b55b43df8bc47e5c7ac)
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 26 Nov 2018 06:00:00 -0000

ros-rolling-image-geometry (2.0.5-2focal) focal; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 17 Aug 2018 05:00:00 -0000

ros-rolling-image-geometry (2.0.4-2focal) focal; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 14 Aug 2018 05:00:00 -0000

ros-rolling-image-geometry (2.0.3-2focal) focal; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 07 Aug 2018 05:00:00 -0000

ros-rolling-image-geometry (2.0.2-2focal) focal; urgency=high



 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 29 Jun 2018 05:00:00 -0000

ros-rolling-image-geometry (2.0.1-2focal) focal; urgency=high

  * Mikael Arguedas claiming image_geometry maintainership (#230 <https://github.com/ros-perception/vision_opencv/issues/230>)
  * Contributors: Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 28 Jun 2018 05:00:00 -0000

ros-rolling-image-geometry (2.0.0-2focal) focal; urgency=high

  * Port image_geometry to ROS2. (#1)
  * remove dependency on boost given that we dont use it anymore (#4)
  * avoid passing std::vector to/from cv::projectPoints
  * Make sure to export include directories from image_geometry. (#5)
  * Build the image_geometry library shared. (#7)
  * use CMAKE_X_STANDARD and check compiler rather than platform
  * Use upstream opencv2. (#8)
  * Revert "avoid passing std::vector to/from cv::projectPoints" (#9)
  * use ament_cmake_pytest instead of ament_cmake_nose (#10)
  * Comment out unported test (#11)
  * reenable ported packages
  * [rebase fixup] remove boost support again
  * Contributors: Chris Lalancette, Mikael Arguedas, Dirk Thomas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 31 May 2018 05:00:00 -0000

ros-rolling-image-geometry (1.12.7-2focal) focal; urgency=high

  * get shared_ptr from boost or C++11
  * Contributors: Vincent Rabaud

 -- Mikael Arguedas <mikael@osrfoundation.org>  Sun, 12 Nov 2017 06:00:00 -0000

ros-rolling-image-geometry (1.12.6-2focal) focal; urgency=high

  * missing STL includes
  * Contributors: Mikael Arguedas, Vincent Rabaud

 -- Mikael Arguedas <mikael@osrfoundation.org>  Sat, 11 Nov 2017 06:00:00 -0000

ros-rolling-image-geometry (1.12.5-2focal) focal; urgency=high

  * Fix compilation issues.
    Fix suggested by #173 <https://github.com/ros-perception/vision_opencv/issues/173> comment
  * Make sure to initialize the distorted_image Mat.
    Otherwise, valgrind throws errors about accessing uninitialized
    memory.
    Signed-off-by: Chris Lalancette <mailto:clalancette@osrfoundation.org>
  * Remove the last remnants of boost from image_geometry.
    All of its functionality can be had from std:: in C++11, so
    use that instead.  This also requires us to add the -std=c++11
    flag.

