=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: ros-rolling-image-geometry
 Section: misc
 Priority: optional
-Maintainer: Mikael Arguedas <mikael@osrfoundation.org>
-Build-Depends: debhelper (>= 9.0.0), libopencv-dev, ros-rolling-ament-cmake-gtest, ros-rolling-ament-cmake-pytest, ros-rolling-ament-cmake-python, ros-rolling-ament-cmake-ros, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
+Maintainer: Kenji Brameld <kenjibrameld@gmail.com>
+Build-Depends: debhelper (>= 9.0.0), libopencv-dev, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-cmake-pytest <!nocheck>, ros-rolling-ament-cmake-python, ros-rolling-ament-cmake-ros, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
 Homepage: http://www.ros.org/wiki/image_geometry
 Standards-Version: 3.9.2
